on: [push]

name: CI

jobs:

  jekyll-latest:
    name: Build Jekyll site (latest)
    runs-on: ubuntu-latest
    steps:

    - uses: actions/checkout@master

    - name: Build the site in the jekyll/builder container
      run: |
        docker run --rm \
        --volume="${{ github.workspace }}:/srv/jekyll" \
        jekyll/builder:latest /bin/bash -c "gem install bundler && chmod 777 /srv/jekyll && jekyll build && chmod 777 /srv/jekyll/assets/js && bundle exec just-the-docs rake search:init"

  jekyll-3-8-5:
    name: Build Jekyll site (v3.8.5)
    runs-on: ubuntu-latest
    steps:

    - uses: actions/checkout@master

    - name: Build the site in the jekyll/builder container
      run: |
        docker run --rm \
        --volume="${{ github.workspace }}:/srv/jekyll" \
        jekyll/builder:3.8.5 /bin/bash -c "gem install bundler && chmod 777 /srv/jekyll && jekyll build && chmod 777 /srv/jekyll/assets/js/ && bundle exec just-the-docs rake search:init"

  css:
    name: Stylelint
    runs-on: ubuntu-latest
    steps:
    
    - uses: actions/checkout@master

    - name: Use Node.js 10.x
      uses: actions/setup-node@v1
      with:
        version: 10.x

    - name: npm install, build, and test
      run: |
        npm install
        npm test
